package com.cpxt.biz.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.cpxt.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.cpxt.biz.mapper.TrackTempMapper;
import com.cpxt.biz.domain.TrackTemp;
import com.cpxt.biz.service.ITrackTempService;

/**
 * 车辆轨迹Service业务层处理
 * 
 * @author YIN
 * @date 2024-12-18
 */
@Service
public class TrackTempServiceImpl implements ITrackTempService 
{
    @Autowired
    private TrackTempMapper trackTempMapper;

    /**
     * 查询车辆轨迹
     * 
     * @param id 车辆轨迹主键
     * @return 车辆轨迹
     */
    @Override
    public TrackTemp selectTrackTempById(Long id)
    {
        return trackTempMapper.selectById(id);
    }

    private LambdaQueryWrapper<TrackTemp> buildQueryWrapper(TrackTemp trackTemp){
        LambdaQueryWrapper<TrackTemp> queryWrapper = new LambdaQueryWrapper<>();

        return queryWrapper;
    }

    /**
     * 查询车辆轨迹列表
     * 
     * @param trackTemp 车辆轨迹
     * @return 车辆轨迹
     */
    @Override
    public List<TrackTemp> selectTrackTempList(TrackTemp trackTemp)
    {
        LambdaQueryWrapper<TrackTemp> queryWrapper = buildQueryWrapper(trackTemp);
        return trackTempMapper.selectList(queryWrapper);
    }

    /**
     * 新增车辆轨迹
     * 
     * @param trackTemp 车辆轨迹
     * @return 结果
     */
    @Override
    public int insertTrackTemp(TrackTemp trackTemp)
    {
        trackTemp.setCreateTime(DateUtils.getNowDate());
        return trackTempMapper.insert(trackTemp);
    }

    /**
     * 修改车辆轨迹
     * 
     * @param trackTemp 车辆轨迹
     * @return 结果
     */
    @Override
    public int updateTrackTemp(TrackTemp trackTemp)
    {
        return trackTempMapper.updateById(trackTemp);
    }

}
